

Try to identify which subsystem is having iounmap() problems.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mm/ioremap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/mm/ioremap.c~iounmap-debugging arch/i386/mm/ioremap.c
--- 25/arch/i386/mm/ioremap.c~iounmap-debugging	2005-02-24 23:13:53.000000000 -0800
+++ 25-akpm/arch/i386/mm/ioremap.c	2005-02-24 23:13:53.000000000 -0800
@@ -246,7 +246,8 @@ void iounmap(volatile void __iomem *addr
 
 	p = remove_vm_area((void *) (PAGE_MASK & (unsigned long __force) addr));
 	if (!p) { 
-		printk("__iounmap: bad address %p\n", addr);
+		printk("iounmap: bad address %p\n", addr);
+		dump_stack();
 		return;
 	}
 
_
